<?php

// tests/Doctrine/Access/AdditionalExtension/StudentsExtensionAdditionalTest.php

declare(strict_types=1);

namespace App\Tests\DoctrineExtension\Access\AdditionalExtension;

use App\Doctrine\Access\AdditionalExtension\StudentsExtensionAdditional;
use Doctrine\ORM\QueryBuilder;
use PHPUnit\Framework\TestCase;

class StudentsExtensionAdditionalTest extends TestCase
{
    public function testSupportMethodReturnsTrue()
    {
        $extension = new StudentsExtensionAdditional();
        $this->assertTrue($extension->support('cget_students'));
    }

    public function testSupportMethodReturnsFalse()
    {
        $extension = new StudentsExtensionAdditional();
        $this->assertFalse($extension->support('some_other_name'));
    }

    public function testAddWhereMethod()
    {
        $queryBuilder = $this->createMock(QueryBuilder::class);

        $extension = new StudentsExtensionAdditional();
        $extension->addWhere($queryBuilder);
        $this->assertTrue(true);
    }
}
